%define python3_pkgversion 3.11
%{?scl:%scl_package python-%{pypi_name}}
%{!?scl:%global pkg_name %{name}}

# Created by pyp2rpm-3.3.3
%global pypi_name pbr

Name:           %{?scl_prefix}python-%{pypi_name}
Version:        6.1.0
Release:        1%{?dist}
Summary:        Python Build Reasonableness

License:        None
URL:            https://docs.openstack.org/pbr/latest/
Source0:        https://files.pythonhosted.org/packages/source/p/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
Source1:        THIRD_PARTY_LICENSES

BuildRequires:  %{?scl_prefix}python%{python3_pkgversion}-devel
BuildRequires:  %{?scl_prefix}python%{python3_pkgversion}-setuptools
BuildRequires:  %{?scl_prefix}python%{python3_pkgversion}-rpm-macros

BuildArch:      noarch

%description
%{summary}


%package -n     %{?scl_prefix}python%{python3_pkgversion}-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python%{python3_pkgversion}-%{pypi_name}}
Requires:       %{?scl_prefix}python%{python3_pkgversion}-setuptools

%description -n %{?scl_prefix}python%{python3_pkgversion}-%{pypi_name}
%{summary}


%prep
%{?scl:scl enable %{scl} - << \EOF}
set -ex
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info
%{?scl:EOF}
# Add 3rd party license
%{__cp} %{SOURCE1} .


%build
%{?scl:scl enable %{scl} - << \EOF}
set -ex
%py3_build
%{?scl:EOF}


%install
%{?scl:scl enable %{scl} - << \EOF}
set -ex
%py3_install
%{?scl:EOF}


%files -n %{?scl_prefix}python%{python3_pkgversion}-%{pypi_name}
%license LICENSE pbr/tests/testpackage/LICENSE.txt THIRD_PARTY_LICENSES
%doc README.rst pbr/tests/testpackage/README.txt
%exclude %{_bindir}/pbr
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info


%changelog
* Fri Jan 17 2025 Rafael Barron <rafael.barron@oracle.com> - 6.1.0-1
- Update to 6.1.0

* Thu Jul 18 2024 Craig Guiller <craig.guiller@oracle.com> - 6.0.0-4.0.2
- Update to 6.0.0
- Rebuild with python 3.11

* Mon Jul 24 2023 Lans Hung <lans.hung@oracle.com> - 5.8.0-4.0.2
- Add 3rd party licenses

* Tue Jan 17 2023 Alex Burmashev <alexander.burmashev@oracle.com> - 5.8.0-4.0.1
- Add python39-rpm-macros to buildrequires

* Mon Jun 13 2022 Odilon Sousa <osousa@redhat.com> - 5.8.0-4
- Exclude files in bin for a better upgrade from python38 to python39 and
  removes Obsolete

* Mon May 23 2022 Odilon Sousa <osousa@redhat.com> - 5.8.0-3
- Obsolete the old Python 3.8 package for smooth upgrade

* Fri Apr 22 2022 Odilon Sousa <osousa@redhat.com> - 5.8.0-2
- Rebuild against python 3.9

* Fri Feb 04 2022 Odilon Sousa <osousa@redhat.com> - 5.8.0-1
- Release python-pbr 5.8.0

* Wed Sep 08 2021 Evgeni Golov - 5.6.0-1
- Initial package.
